aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-10-28 12:59:20 +0200
committerHarald Welte <laforge@gnumonks.org>2017-10-28 13:14:24 +0200
commitb069f6548c53a6825c6b0fedd8219851f4187e3c (patch)
treea33d00171a80ce42fdb6a844c7dba3ac1a809093
parent6268987c5d165b85f9e8508f7d9286727f193fc4 (diff)
connfigure.ac: Depend on latest versions of libosmo-*
We are using quite a number of symbols that are definitely *not* yet present in the respective library versions that we stated as dependency. Rather than figuring this out individually, simply require the latest releases. Change-Id: Iecda06d206c24390bb10f3a8f8a70ef3036381e2
-rw-r--r--configure.ac14
1 files changed, 7 insertions, 7 deletions
diff --git a/configure.ac b/configure.ac
index 4edbb83..79523d1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -39,13 +39,13 @@ AC_SEARCH_LIBS([dlopen], [dl dld], [LIBRARY_DL="$LIBS";LIBS=""])
AC_SUBST(LIBRARY_DL)
-PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 0.9.5)
-PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 0.3.0)
-PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl)
-PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 0.9.5)
-PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 0.2.0)
-PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.0.1)
-PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran) # TODO version?
+PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 0.10.0)
+PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 0.10.0)
+PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 0.10.0)
+PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 0.10.0)
+PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 0.3.2)
+PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.1.0)
+PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 0.8.0)
PKG_CHECK_MODULES(LIBCRYPTO, libcrypto >= 0.9.5)
PKG_CHECK_MODULES(LIBOSMOLEGACYMGCP, libosmo-legacy-mgcp >= 0.0.1)
PKG_CHECK_MODULES(LIBOSMOSCCP, libosmo-sccp >= 0.0.2)